## org.gnu.gdk
Class ExtensionMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.ExtensionMode

public class ExtensionMode
extends Enum

An enumeration used to specify which extension events are desired for a particular widget.

Field Summary
`static ExtensionMode` `EVENTS_ALL` All extension events are desired.
`static ExtensionMode` `EVENTS_CURSOR` Extension events are desired only if a cursor will be displayed for the device.
`static ExtensionMode` `EVENTS_NONE` No extension events are desired.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ExtensionMode` `and(ExtensionMode other)`
`static ExtensionMode` `intern(int value)`
`ExtensionMode` `or(ExtensionMode other)`
`boolean` `test(ExtensionMode other)`
`ExtensionMode` `xor(ExtensionMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENTS_NONE

    public static final ExtensionMode EVENTS_NONE

  No extension events are desired.

### EVENTS_ALL

    public static final ExtensionMode EVENTS_ALL

  All extension events are desired.

### EVENTS_CURSOR

    public static final ExtensionMode EVENTS_CURSOR

  Extension events are desired only if a cursor will be displayed for the device.

Method Detail

### intern

    public static ExtensionMode intern(int value)

### or

    public ExtensionMode or(ExtensionMode other)

### and

    public ExtensionMode and(ExtensionMode other)

### xor

    public ExtensionMode xor(ExtensionMode other)

### test

    public boolean test(ExtensionMode other)